Summary: A set of system configuration and setup files.
Name: setup
Version: 2.2.4
Release: 1tr
License: public domain
Group: System/Base
Source: setup-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root
BuildArch: noarch
Conflicts: initscripts < 4.26
BuildRequires: coreutils, awk

%description
The setup package contains a set of important system configuration and
setup files, such as passwd, group, and profile.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
cp -ar * $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/var/log
cp /dev/null $RPM_BUILD_ROOT/var/log/lastlog

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/passwd
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/group
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/services
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/exports
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/filesystems
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/host.conf
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/hosts.allow
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/hosts.deny
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/motd
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/printcap
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/inputrc
%attr(644,root,root) %verify(not md5 size mtime) %config(noreplace) /etc/profile
%attr(600,root,root) %verify(not md5 size mtime) %config(noreplace missingok) /etc/shadow
%attr(644,root,root) %config /etc/protocols
%attr(600,root,root) %config(missingok) /etc/securetty
%attr(644,root,root) %config(noreplace) /etc/csh.login
%attr(644,root,root) %config(noreplace) /etc/csh.cshrc
%attr(644,root,root) %config(noreplace) /etc/sysconfig/proxy
%attr(755,root,root) %dir /etc/profile.d
%attr(644,root,root) %verify(not md5 size mtime) /var/log/lastlog

%changelog
* Thu Dec 11 2003 Erlend Midttun <erlendbm at trustix dot org> 2.2.4-1tr
- Added /etc/sysconfig/proxy with the variables used by urllib (swup)
  and wget.

* Tue Dec  9 2003 Erlend Midttun <erlendbm at trustix dot org> 2.2.3-4tr
- Now unset $LANG before running the profile.d's.

* Fri Sep  5 2003 Chr. Toldnes <christht at trustix dot com> 2.2.3-3tr
- Updated /etc/services (gnatsd)

* Tue Jul  1 2003 Roland Kruse <rolandk at trustix dot com> 2.2.3-2tr
- Updated /etc/protocols, /etc/services.

* Sat Jun 28 2003 Goetz Bock <bock at trustix dot org> 2.2.3-1bg
- passwd and group were inconsistent for slapd
- added tftp user / group
- removed patches, as they had been integraded

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.2-2tr
- Big rebuild

* Fri Jun  6 2003 Tore Olsen <toreo at trustix dot com> 2.2.2-1to
- Don't recreate shadow each time package is built
- Added user for openldap (slapd)

* Mon Jun  2 2003 Roland Kruse <rolandk at trustix dot com> 2.2.1-3rk
- Added isakmp service at port 500 (patch1)

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.1-2em
- fileutils -> coreutils.

* Fri May 23 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.1-1em
- Now use ~/Maildir also with tcsh.

* Fri May 16 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.0-7em
- Now use ~/Maildir

* Mon Apr 28 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.0-6em
- More passwd stuff

* Mon Apr 28 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.0-5em
- More passwd stuff

* Wed Apr 23 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.0-4em
- Wrong home directory on a few users.

* Tue Apr 22 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.0-3em
- Rearranged the uid and gid in passwd and group to make them cleaner.

* Tue Apr 22 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.0-2em
- Stripped all but the last Red Hat changelog entry.
- Added %attr to make build independent of umask on build box.
- Autocreate shadow file from passwd.

* Mon Apr 21 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.0-1em
- Repackaged.
- Removed root as member of various groups in /etc/group.

* Mon Feb 10 2003 Erlend Midttun <erlendbm at trustix dot com> 2.1.8-11em
- New inputrc.
- New services.

* Thu Jan 16 2003 Goetz Bock <bock at trustix dot org> 2.1.8-10bg
- added some secure TTYs to patch1

* Thu Jul 18 2002 Christian H. Toldnes <christht at trustix dot com> 2.1.8-9ct
- Added LANG setting in /etc/profile

* Tue Jul 16 2002 Christian H. Toldnes <christht at trustix dot com> 2.1.8-8ct
- Rebuild for TSL 2.0

* Fri Jul 12 2002 Christian H. Toldnes <christht at trustix dot com> 2.1.8-7tr
- Correct simap/pop3s entries in /etc/services

* Tue Jul 17 2001 Erlend Midttun <erlendbm at trustix dot com>
- Inc serial number before release.

* Wed Nov 29 2000 Erlend Midttun <erlendbm at trustix dot com>
- Visible bell
- Changed prompt
- Changed path
- Umask 077
- More norplace
- Removed references to printtool in printcap.

* Thu Feb 17 2000 Preston Brown <pbrown@redhat.com>
- add /etc/filesystems with sane defaults

